package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 重点人员识别预警统计表(IdenWarningKeynoteSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-23 11:08:19
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_keynote_sta")
@ApiModel(value = "重点人员识别预警统计表", description = "")
public class IdenWarningKeynoteSta implements Serializable {
    private static final long serialVersionUID = -48099154074943251L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("所属小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("小区编号")
    @TableField("COMMUNITY_CODE")
    private String communityCode;


    @ApiModelProperty("小区名称")
    @TableField("COMMUNITY_NAME")
    private String communityName;


    @ApiModelProperty("所属区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("所属街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("重点人员总数")
    @TableField("KEYNOTE_COUNT")
    private Long keynoteCount;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
