package com.iden.bms.face;


import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * 定时读取目录下图片，调用人脸识别引擎，把特征码入库
 */
@Configuration
@EnableScheduling
@EnableAsync
public class FaceIdenSchedule {

    @Resource
    private FaceIdenService faceIdenService;

    @Async
    @Scheduled(cron = "0 0/1 * * * ?")
    public void exe() {
        try {
            faceIdenService.exe();
        } catch (Exception e) {
            e.getMessage();
        }
    }


}
