package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 图库表(IdenImageStore)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:46
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_image_store")
@ApiModel(value = "图库表", description = "")
public class IdenImageStore implements Serializable {
    private static final long serialVersionUID = -44732106174401548L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("人脸特征ID")
    @TableField("FEAT_PTR")
    private String featPtr;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;


    @ApiModelProperty("摄像头ID")
    @TableField("CAMERA_ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("抓拍时间")
    @TableField("PHOTOGRAPH_TIME")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    @TableField("PHOTOGRAPH_PLACE")
    private String photographPlace;


    @ApiModelProperty("性别：M：男 W：女")
    @TableField("GENDER")
    private String gender;


    @ApiModelProperty("人员ID")
    @TableField("PERSON_ID")
    private Long personId;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
